Mac Users: Issues with the current Guild Wars 2 client under MacOS Catalina — Guild Wars 2 Forums

Mac Users: Issues with the current Guild Wars 2 client under MacOS Catalina

A bug in the current Mac client for Guild Wars 2 is affecting Mac users that are using the new MacOS Catalina (not publicly available yet), making the client and other applications crash. Note that Mac users that are under the current MacOS system, whether they use the new or the old, unsupported Transgaming Guild Wars 2 client, are not affected. Players are not able to use the old, unsupported Transgaming Guild Wars 2 client on MacOS Catalina because it is 32-bit.

We will deploy a new Guild Wars 2 installer for Mac on Tuesday 17 September via the ArenaNet Account website. If you haven’t upgraded to MacOS Catalina on that day, the client will automatically upgrade to a 64-bit version that will work on the current and new MacOS. If you are on MacOS Catalina on Tuesday 17 September, you will need to uninstall your Guild Wars 2 client (see instructions here, in the “Mac Uninstall Instructions” tab) and install the new client from the ArenaNet Account website.


Stéphane Lo Presti
Content Marketing Manager

Tagged:
©2010–2018 ArenaNet, LLC. All rights reserved. Guild Wars, Guild Wars 2, Heart of Thorns, Guild Wars 2: Path of Fire, ArenaNet, NCSOFT, the Interlocking NC Logo, and all associated logos and designs are trademarks or registered trademarks of NCSOFT Corporation. All other trademarks are the property of their respective owners.